Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## cpw.mods.fml.common
Annotation Type Mod

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface Mod

The new mod style in FML 1.3

Author:
  cpw

Required Element Summary
`String` | `modid` The unique mod identifier for this mod

Optional Element Summary
`String` | `acceptedMinecraftVersions` The acceptable range of minecraft versions that this mod will load and run in The default ("empty string") indicates that only the current minecraft version is acceptable.
`String` | `bukkitPlugin` An optional bukkit plugin that will be injected into the bukkit plugin framework if this mod is loaded into the FML framework and the bukkit coremod is present.
`String` | `dependencies` A simple dependency string for this mod (see modloader's "priorities" string specification)
`String` | `name` A user friendly name for the mod
`boolean` | `useMetadata` Whether to use the mcmod.info metadata by default for this mod.
`String` | `version` A version string for this mod

Element Detail

### modid

    public abstract String modid

  The unique mod identifier for this mod

### name

    public abstract String name

  A user friendly name for the mod

  Default:
    ""

### version

    public abstract String version

  A version string for this mod

  Default:
    ""

### dependencies

    public abstract String dependencies

  A simple dependency string for this mod (see modloader's "priorities" string specification)

  Default:
    ""

### useMetadata

    public abstract boolean useMetadata

  Whether to use the mcmod.info metadata by default for this mod. If true, settings in the mcmod.info file will override settings in these annotations.

  Default:
    false

### acceptedMinecraftVersions

    public abstract String acceptedMinecraftVersions

  The acceptable range of minecraft versions that this mod will load and run in The default ("empty string") indicates that only the current minecraft version is acceptable. FML will refuse to run with an error if the minecraft version is not in this range across all mods.

  Returns:
    A version range as specified by the maven version range specification or the empty string
  Default:
    ""

### bukkitPlugin

    public abstract String bukkitPlugin

  An optional bukkit plugin that will be injected into the bukkit plugin framework if this mod is loaded into the FML framework and the bukkit coremod is present. Instances of the bukkit plugin can be obtained via the `BukkitPluginRef` annotation on fields.

  Returns:
  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT